Jump to content
  • 0

No puedo actualizar por fallo en memtest+ y linux-image


Question

Desde hace días tengo el siguiente problema. He probado algunas de las recomendaciones, como esta página https://geekland.eu/reparar-paquetes-rotos-linux/ y otras recomendaciones similares, que me parece se resumen en ella, pero el problema sigue. ¿Cómo hago para resolver? Reinstalar todo lo dejo para el final, dado que he personalizado la mayoría de mis programas y archivos. 

 

Cuando quiero instalar algún programa o simplemente quiero actualizar con apt upgrade me produce esta salida.

 

Cita

studio@studio-desktop:~$ sudo apt upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Calculando la actualización... Hecho
Se actualizarán los siguientes paquetes:
  python3-distupgrade ubuntu-release-upgrader-core ubuntu-release-upgrader-gtk
3 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
4 no instalados del todo o eliminados.
Se necesita descargar 0 B/136 kB de archivos.
Se utilizarán 1,024 B de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] s
dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-modules
-5.4.0-39-lowlatency', se supondrá que el paquete no tiene ningún fichero actual
mente instalado
dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-modules
-5.4.0-39-generic', se supondrá que el paquete no tiene ningún fichero actualmen
te instalado
dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-headers
-5.4.0-39', se supondrá que el paquete no tiene ningún fichero actualmente insta
lado
dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-headers
-5.4.0-39-lowlatency', se supondrá que el paquete no tiene ningún fichero actual
mente instalado
(Leyendo la base de datos ... 462407 ficheros o directorios instalados actualmen
te.)
Preparando para desempaquetar .../ubuntu-release-upgrader-gtk_1%3a20.04.23_all.d
eb ...
Desempaquetando ubuntu-release-upgrader-gtk (1:20.04.23) sobre (1:20.04.21) ...
Preparando para desempaquetar .../ubuntu-release-upgrader-core_1%3a20.04.23_all.
deb ...
Desempaquetando ubuntu-release-upgrader-core (1:20.04.23) sobre (1:20.04.21) ...
Preparando para desempaquetar .../python3-distupgrade_1%3a20.04.23_all.deb ...
Desempaquetando python3-distupgrade (1:20.04.23) sobre (1:20.04.21) ...
Configurando memtest86+ (5.01-3.1ubuntu2) ...
Obteniendo el archivo «/etc/default/grub»
Obteniendo el archivo «/etc/default/grub.d/init-select.cfg»
Generando un fichero de configuración de grub...
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrado Windows Boot Manager en /dev/sdb4@/efi/Microsoft/Boot/bootmgfw.efi
error: syntax error.
error: Incorrect command.
error: syntax error.
Error de sintaxis en la línea 363
Se han detectado errores de sintaxis en el fichero de
configuración de GRUB generado.
Asegurese de que no hay errores en /etc/default/grub
en los ficheros /etc/grub.d/* o, por favor, abra una
notificación de errores con el fichero /boot/grub/grub.cfg.new adjunto.
dpkg: error al procesar el paquete memtest86+ (--configure):
 el subproceso instalado paquete memtest86+ script post-installation devolvió el
 código de salida de error 1
Configurando python3-distupgrade (1:20.04.23) ...
Configurando linux-image-5.4.0-42-lowlatency (5.4.0-42.46) ...
Configurando linux-image-5.4.0-40-lowlatency (5.4.0-40.44) ...
Configurando linux-image-5.4.0-40-generic (5.4.0-40.44) ...
Configurando ubuntu-release-upgrader-core (1:20.04.23) ...
Configurando ubuntu-release-upgrader-gtk (1:20.04.23) ...
Procesando disparadores para man-db (2.9.1-1) ...
Procesando disparadores para linux-image-5.4.0-42-lowlatency (5.4.0-42.46) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.4.0-42-lowlatency
I: The initramfs will attempt to resume from /dev/sda7
I: (UUID=49c5605c-1b92-40b9-8f8b-477d5e09b374)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Obteniendo el archivo «/etc/default/grub»
Obteniendo el archivo «/etc/default/grub.d/init-select.cfg»
Generando un fichero de configuración de grub...
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrado Windows Boot Manager en /dev/sdb4@/efi/Microsoft/Boot/bootmgfw.efi
error: syntax error.
error: Incorrect command.
error: syntax error.
Error de sintaxis en la línea 363
Se han detectado errores de sintaxis en el fichero de
configuración de GRUB generado.
Asegurese de que no hay errores en /etc/default/grub
en los ficheros /etc/grub.d/* o, por favor, abra una
notificación de errores con el fichero /boot/grub/grub.cfg.new adjunto.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error al procesar el paquete linux-image-5.4.0-42-lowlatency (--configure)
:
 el subproceso instalado paquete linux-image-5.4.0-42-lowlatency script post-ins
tallation devolvió el código de salida de error 1
Procesando disparadores para linux-image-5.4.0-40-lowlatency (5.4.0-40.44) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.4.0-40-lowlatency
I: The initramfs will attempt to resume from /dev/sda7
I: (UUID=49c5605c-1b92-40b9-8f8b-477d5e09b374)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Obteniendo el archivo «/etc/default/grub»
Obteniendo el archivo «/etc/default/grub.d/init-select.cfg»
Generando un fichero de configuración de grub...
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrado Windows Boot Manager en /dev/sdb4@/efi/Microsoft/Boot/bootmgfw.efi
error: syntax error.
error: Incorrect command.
error: syntax error.
Error de sintaxis en la línea 363
Se han detectado errores de sintaxis en el fichero de
configuración de GRUB generado.
Asegurese de que no hay errores en /etc/default/grub
en los ficheros /etc/grub.d/* o, por favor, abra una
notificación de errores con el fichero /boot/grub/grub.cfg.new adjunto.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error al procesar el paquete linux-image-5.4.0-40-lowlatency (--configure)
:
 el subproceso instalado paquete linux-image-5.4.0-40-lowlatency script post-ins
tallation devolvió el código de salida de error 1
Procesando disparadores para linux-image-5.4.0-40-generic (5.4.0-40.44) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.4.0-40-generic
I: The initramfs will attempt to resume from /dev/sda7
I: (UUID=49c5605c-1b92-40b9-8f8b-477d5e09b374)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Obteniendo el archivo «/etc/default/grub»
Obteniendo el archivo «/etc/default/grub.d/init-select.cfg»
Generando un fichero de configuración de grub...
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-42-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-42-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-lowlatency
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-40-generic
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-40-generic
Encontrada imagen de linux: /boot/vmlinuz-5.4.0-37-lowlatency
Encontrada imagen de memoria inicial: /boot/initrd.img-5.4.0-37-lowlatency
Encontrado Windows Boot Manager en /dev/sdb4@/efi/Microsoft/Boot/bootmgfw.efi
error: syntax error.
error: Incorrect command.
error: syntax error.
Error de sintaxis en la línea 363
Se han detectado errores de sintaxis en el fichero de
configuración de GRUB generado.
Asegurese de que no hay errores en /etc/default/grub
en los ficheros /etc/grub.d/* o, por favor, abra una
notificación de errores con el fichero /boot/grub/grub.cfg.new adjunto.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error al procesar el paquete linux-image-5.4.0-40-generic (--configure):
 el subproceso instalado paquete linux-image-5.4.0-40-generic script post-instal
lation devolvió el código de salida de error 1
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «Ma
xReports»
         Se encontraron errores al procesar:
 memtest86+
 linux-image-5.4.0-42-lowlatency
 linux-image-5.4.0-40-lowlatency
 linux-image-5.4.0-40-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

 

Me parece que eliminé algunos de los errores con los repositorios no encontrados, pero parece que es con la instalación de linux-image, dado que cuando escribo -uname -a la versión que está funcionado es linux-image-5.4.0.37-lowlatency

 

Cita

studio@studio-desktop:/home$ uname -a
Linux studio-desktop 5.4.0-37-lowlatency #41-Ubuntu SMP PREEMPT Wed Jun 3 19:52:07 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

 

Quizá deba instalar otra versión más actual de linux-image, pero me parece que mejor consultar.

 

Saludos y gracias de antemano.

Link to post
Share on other sites

7 answers to this question

Recommended Posts

  • 0

Estas usando una distro que probablemete ha terminado su ciclo de manutencion es decir que no recibe ya actualizaciones.

Lo que pasa en estos casos es que los repositorios que no sean Main se bloquean y dejan e funcionar en algunos casos pero las referencias a ellos quedan en el sistema a menos que bloquees todos ellos y hagas una actualizacion de sistema para actuaizar los repositorios activos.

 

Por eso es tan importante el tema de repositorios en sistema y una herramienta en concreto que es synpatic package manager el cual te permite bloquear o intentar ver repositorios o pacotes que generan errores.

 

https://ubunlog.com/repositorios-de-ubuntu-que-significan-que-contienen-y-como-anadirlos/

 

Al nivel Linux Image Kernel, la cosa se complica aún más ya que esos kernel podrian haber salido del ciclo de instalacion o estar disponibles en repo pero podrian estar disponibles en otro repo digamos de backup, eso lo tendras que averiguar buscando en web, Imagina que la comunidad para Ubuntu 14.04 habia tenido el kernel linux-image 10100 en el repositorio /web/universe. Ahora imagina que el Ubuntu 14.04 ha llegado al final de ciclo y el equipo de manutencion decide no dar más soporte a ese kernel en ese sistema SO, pero para salvaguarda lo quiere mantener en paquete .deb en algn lado por si le interesa a alguien en el caso de seguir usando 14.04 y haber algun fallo con el kernel que necesita su reinstalacion, entonces lo que se decide es simplemente cambiarlo de repostorio quedando como un backup de recuperacion y removerlo del repo oficial asi se mueve a un nuevo lugar en web repositorio /web/backup/linux-image 10100.

Entonces que pasa con el usuario que se mantenga en Ubuntu 14.04 y busque por ese linx image via terminal - va a tener errores de disponibilidad ademas de si hay dependencias en repositorios lo mismo error de dispoibilidad. Que necesita hacer el usuario - metodo manual, buscar por ti y inentar instalar, ya sea por paquete (un poco más comodo y fácil si las dependencias no generan errores), o bien instalar desde el source raiz del paquete original por ejemplo de kernel.org.

 

Hace unos meses tube justo un problema con el Liquorix Kernel en mi Lubuntu 14.04 que se me bloqueo completamente  necesitaba reinstalarlo no habia manera de hacerlo que no fuera por un método convencional por ppa o repositorio oficial mantenido y me puse a buscar y di con un repo alternativo mantenido por la comunidad pero que es un backup, que ya no recibe soporte → https://techpatterns.com/forums/post-13566.html#13566

 

https://techpatterns.com/forums/about2615.html

 

Una cosa muy importante en distros no mantenidas,  evitar el uso de terminal para instalaciones, porque pueden generar problemas con paquetes no mantenidos en repos pero referidos por otros, tali como no respeta los bloqueos de version paquete, y con mucha facilidad te puede estropear un paquete bloqueado o no respetaro y liarte una de dimensiones grandes si esos paquetes ya no se encuentran en repositorios mantenidos, intenta usar Synpatic si tienes paquetes marcados como bloqueados en version por algun motivo o si utilizas muchos ppa etc.

 

Creo que tu problema es que por algun motivo tiraste de terminal y te removio el linux-image ... , y ahora lo quieres instalar ademas tienes reportes de error en Grub ya que hubo un reescribir del mismo.

Lo más facil creo yo seria buscar en web un repo donde tengas ese paquete disponible y mediante dpkg install apuntarlo para instalar y leer muy bien que va a instalar y si hay dependencias en falta y intentar corregir paso a paso.

 

 

Edited by portaro
Link to post
Share on other sites
  • 0

Esta instalación la hice a inicios de año. Como en mayo actualicé a la nueva versión con Ubuntu 20.4 y siempre actualizo al iniciar. Tengo una tienda de Snap de la cual he instalado algunos programas solicitados. Por eso creo que no se trata de kernels antiguos sino recientes y pudo haber algún fallo en la actualización. 

 

Los repositorios son los que vinieron por defectos e instalé un par para grub-customizer de danielrichter2007 y otros de woeb. Estas imágenes son los actuales que mantengo:

 

Repositorios Ubuntu   (no fue posible de otra manera con URL)

 

Otros repositorios

 

Quise borrar manualmente algunos de los linux-image siguiendo instrucciones de algunas web de Linux en las que busqué el error, pocas coincidían con el mío y otras eran muy antiguas, de 2013, 2014 y las más reciente 2017.

 

Como viste en el post anterior, mi sistema dice que utiliza el Linux studio-desktop 5.4.0-37-lowlatency y no sé si es diferente a los otros linux-image que me aparecen:

 

Cita

studio@studio-desktop:/$ dpkg-query --list | grep -i linux-image
rH  linux-image-5.4.0-40-generic                  5.4.0-40.44                                      amd64        Signed kernel image generic
rH  linux-image-5.4.0-40-lowlatency               5.4.0-40.44                                      amd64        Signed kernel image lowlatency
iF  linux-image-5.4.0-42-lowlatency               5.4.0-42.46                                      amd64        Signed kernel image lowlatency
ii  linux-image-lowlatency                        5.4.0.42.45                                      amd64        lowlatency Linux kernel image

 

 

Aunque con locate me aparece muchos más:

Cita

studio@studio-desktop:~/Descargas$ locate --basename linux-image*
/usr/share/doc/linux-image-5.4.0-37-lowlatency
/usr/share/doc/linux-image-5.4.0-42-lowlatency
/usr/share/doc/linux-image-lowlatency
/usr/share/doc/linux-image-unsigned-5.4.0-33-lowlatency
/usr/share/doc/linux-image-unsigned-5.4.0-37-lowlatency
/usr/share/doc/linux-image-unsigned-5.4.0-40-lowlatency
/usr/share/doc/linux-image-unsigned-5.4.0-42-lowlatency
/var/crash/linux-image-5.4.0-39-generic.0.crash
/var/crash/linux-image-5.4.0-40-generic.0.crash
/var/crash/linux-image-5.4.0-40-lowlatency.0.crash
/var/crash/linux-image-5.4.0-42-lowlatency.0.crash
/var/lib/dpkg/info/linux-image-5.3.0-18-lowlatency.list
/var/lib/dpkg/info/linux-image-5.3.0-18-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.3.0-51-lowlatency.list
/var/lib/dpkg/info/linux-image-5.3.0-51-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.4.0-29-lowlatency.list
/var/lib/dpkg/info/linux-image-5.4.0-29-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.4.0-31-lowlatency.list
/var/lib/dpkg/info/linux-image-5.4.0-31-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.4.0-33-lowlatency.list
/var/lib/dpkg/info/linux-image-5.4.0-33-lowlatency.md5sums
/var/lib/dpkg/info/linux-image-5.4.0-33-lowlatency.postinst
/var/lib/dpkg/info/linux-image-5.4.0-33-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.4.0-33-lowlatency.preinst
/var/lib/dpkg/info/linux-image-5.4.0-33-lowlatency.prerm
/var/lib/dpkg/info/linux-image-5.4.0-33-lowlatency.triggers
/var/lib/dpkg/info/linux-image-5.4.0-37-lowlatency.list
/var/lib/dpkg/info/linux-image-5.4.0-37-lowlatency.md5sums
/var/lib/dpkg/info/linux-image-5.4.0-37-lowlatency.postinst
/var/lib/dpkg/info/linux-image-5.4.0-37-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.4.0-37-lowlatency.preinst
/var/lib/dpkg/info/linux-image-5.4.0-37-lowlatency.prerm
/var/lib/dpkg/info/linux-image-5.4.0-37-lowlatency.triggers
/var/lib/dpkg/info/linux-image-5.4.0-40-generic.list
/var/lib/dpkg/info/linux-image-5.4.0-40-generic.md5sums
/var/lib/dpkg/info/linux-image-5.4.0-40-generic.postinst
/var/lib/dpkg/info/linux-image-5.4.0-40-generic.postrm
/var/lib/dpkg/info/linux-image-5.4.0-40-generic.preinst
/var/lib/dpkg/info/linux-image-5.4.0-40-generic.prerm
/var/lib/dpkg/info/linux-image-5.4.0-40-generic.triggers
/var/lib/dpkg/info/linux-image-5.4.0-40-lowlatency.list
/var/lib/dpkg/info/linux-image-5.4.0-40-lowlatency.md5sums
/var/lib/dpkg/info/linux-image-5.4.0-40-lowlatency.postinst
/var/lib/dpkg/info/linux-image-5.4.0-40-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.4.0-40-lowlatency.preinst
/var/lib/dpkg/info/linux-image-5.4.0-40-lowlatency.prerm
/var/lib/dpkg/info/linux-image-5.4.0-40-lowlatency.triggers
/var/lib/dpkg/info/linux-image-5.4.0-42-lowlatency.list
/var/lib/dpkg/info/linux-image-5.4.0-42-lowlatency.md5sums
/var/lib/dpkg/info/linux-image-5.4.0-42-lowlatency.postinst
/var/lib/dpkg/info/linux-image-5.4.0-42-lowlatency.postrm
/var/lib/dpkg/info/linux-image-5.4.0-42-lowlatency.preinst
/var/lib/dpkg/info/linux-image-5.4.0-42-lowlatency.prerm
/var/lib/dpkg/info/linux-image-5.4.0-42-lowlatency.triggers
/var/lib/dpkg/info/linux-image-lowlatency.list
/var/lib/dpkg/info/linux-image-lowlatency.md5sums

 

Mi pregunta es debo instalar las versiones inmediata superiores a estas, como:

 

linux-image-unsigned-5.4.1-050401-lowlatency_5.4.1-050401.201911290555_amd64.deb

 

O mejor debería de tratar de instalar una versión más avanzada como:


linux-image-unsigned-5.6.1-050601-lowlatency_5.6.1-050601.202004011032_amd64.deb

 

Y la otra opción es si debo reinstalar la misma versión u otra anterior.

 

Parece que los recomendado es sudo dpkg -i install *.deb

 

Finalmente, si es necesario reinstalar ¿cuáles serían los comandos?

 

Muchas gracias!
 

Link to post
Share on other sites
  • 0
On 26/7/2020 at 12:15, portaro dijo:

ue necesita hacer el usuario - metodo manual, buscar por ti y inentar instalar, ya sea por paquete (un poco más comodo y fácil si las dependencias no generan errores), o bien instalar desde el source raiz del paquete original por ejemplo de kernel.org.

 

Entré a esta página y no comprendí nada.

 

También se me olvidó decir que al actualizar vía "Software y Actualizaciones" da el siguiente error:

 

error-con-ejecutar-Actualizaci-n-de-soft

(parece que ahora pude :)

Al ejecutar la Actualización parcial da el mismo error.

 

Cita

installed memtest86+ package post-installation script subprocess returned error exit status 1

 

Y al final también el mismo mensaje de error:

 

Cita

installed linux-image-5.4.0-42-lowlatency package post-installation script subprocess returned error exit status 1

 

El mensaje final es el siguiente:

 

upgrade-aborted.png

 

Hasta aquí todo igual.

 

Saludos!

Link to post
Share on other sites
  • 0

Con tu duda en lo que citas que dices no haber entendido arriba lo que intentaba decir es que :

- Deberias buscar el kernel manualmente para instalarlo o compilarlo, o sea bajar tu el paquete y intentar instalar.

 

 Sobre todo lo demas, estas haciendo cosas que no son recomendadas por lo menos por la gran maioria de usuarios - nunca se hace un upgrade de distro para distro más actual a no ser que exclusivamente hagas uso de repositorios Main.

 

Cita

Se han detectado errores de sintaxis en el fichero de
configuración de GRUB generado.
Asegurese de que no hay errores en /etc/default/grub
en los ficheros /etc/grub.d/* o, por favor, abra una
notificación de errores con el fichero /boot/grub/grub.cfg.new adjunto.
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error al procesar el paquete linux-image-5.4.0-40-generic (--configure):

 

Tu error esta en un problema de configuracion del kernel.

 

Más arriba te dice esto :

Cita

dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-modules
-5.4.0-39-lowlatency', se supondrá que el paquete no tiene ningún fichero actual
mente instalado
dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-modules
-5.4.0-39-generic', se supondrá que el paquete no tiene ningún fichero actualmen
te instalado
dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-headers
-5.4.0-39', se supondrá que el paquete no tiene ningún fichero actualmente insta
lado
dpkg: atención: falta el fichero de lista de ficheros del paquete `linux-headers
-5.4.0-39-lowlatency', se supondrá que el paquete no tiene ningún fichero actual
mente instalado

 

Por un lado en kernel no esta activo para una version de la distro o el repo no esta activo o el kernel no esta activo en el repo para la version distro que uses, por otro tienes un problema de configuracion del kernel en grub porque posiblemente no genere entrada aunque estea siendo pedida con la configuracion tipica de instalador.

 

Para ver si el paquete kernel tiene algun apuntador para instalacion en distro, abre la terminal y busca →

 

Cita

apt-cache search linux-image
 

Si no te devuelve el paquete que refieres entonces no esta activo, o sea no hay repositorio que te lo estea ofreciendo activo en tu sistema.

 

Tienes un lio en repositorios dandote error en paquetes referidos para instalar es un problema similar a las ocasiones en que usas distro no mantenida y haces un upgrade de un paquete que genera conflito .

 

La solucion posible - buscar el repo del kernel si lo aderiste tu y es externo, remover purgandolo (remocion completa en synaptic), bloquear ese repo, hacer un update, buscar en web el repo para tu version actual de ubuntu al que haz hecho un dist-upgrade, intentar de nuevo instalar mediante una buena busqueda de ese kernel para la version actual de tu distro.

Es la solucion más sencilla que veo.

 

Nunca hagas un dist-upgrade a menos que vayas a pelo con los repos que vienen por defecto en Ubuntu y no actives ningunos otros, porque pueden generar problemas.

 

Si las cosas se complica o crees que no sabes muy bien como hacer todo esto lo mejor es reinstalar todos desde cero , si cometes muchos errores de reinstalacion de paquetes o si se generan errores de dependencias con repos tienes que saber usar los recuros de instalador - remove , purge.

Para evitar mucho tiempo gasto en eso - reinstalas y punto y no vuelvas a hacer eso de dist-upgrade mucho menos en Ubuntu o distros que pongan muchos paquetes con poca revision, es diferente un Ubuntu o un Debian de un Gentoo, Slackware.

 

Edited by portaro
Link to post
Share on other sites
  • 0

Muchas gracias por tu respuesta.

 

Intenté reinstalar el kernel que solicita linux-image-5.4.0-39-lowlatency y -generic.

 

Siempre da error en el grub.

 

Al hacer lo solicitado

On 30/7/2020 at 7:10, portaro dijo:

apt-cache search linux-image

 

studio@studio-desktop:~/Escritorio$ apt-cache search linux-image
alsa-base - Archivos de configuración del controlador de ALSA
linux-image-generic - Generic Linux kernel image
linux-image-generic-hwe-20.04 - Generic Linux kernel image
linux-image-5.4.0-1009-gcp - Signed kernel image GCP
linux-image-5.4.0-1009-oracle - Signed kernel image oracle
linux-image-5.4.0-1010-azure - Signed kernel image azure
linux-image-5.6.0-1007-oem - Signed kernel image oem
linux-image-aws - Linux kernel image for Amazon Web Services (AWS) systems.
linux-image-azure - Linux kernel image for Azure systems.
linux-image-extra-virtual - Extra drivers for Virtual Linux kernel image
linux-image-extra-virtual-hwe-20.04 - Extra drivers for Virtual Linux kernel image
linux-image-gcp - Google Cloud Platform (GCP) Linux kernel image
linux-image-gke - Google Container Engine (GKE) Linux kernel image
linux-image-kvm - Linux kernel image for virtual systems.
linux-image-lowlatency - lowlatency Linux kernel image
linux-image-lowlatency-hwe-20.04 - lowlatency Linux kernel image
linux-image-oem-20.04 - OEM Linux kernel image
linux-image-oracle - Linux kernel image for Oracle systems.
linux-image-unsigned-5.4.0-1009-gcp - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1009-oracle - Oracle Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1010-azure - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1007-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-image-virtual - Virtual Linux kernel image
linux-image-virtual-hwe-20.04 - Virtual Linux kernel image
linux-virtual - Minimal Generic Linux kernel and headers
linux-virtual-hwe-20.04 - Minimal Generic Linux kernel and headers
linux-image-5.4.0-1009-aws - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1009-kvm - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-26-generic - Signed kernel image generic
linux-image-5.4.0-26-lowlatency - Signed kernel image lowlatency
linux-image-extra-virtual-hwe-18.04 - Extra drivers for virtual Linux kernel image (dummy transitional package)
linux-image-extra-virtual-hwe-18.04-edge - Extra drivers for virtual Linux kernel image (dummy transitional package)
linux-image-generic-hwe-18.04 - Generic Linux kernel image (dummy transitional package)
linux-image-generic-hwe-18.04-edge - Generic Linux kernel image (dummy transitional package)
linux-image-lowlatency-hwe-18.04 - Lowlatency Linux kernel image (dummy transitional package)
linux-image-lowlatency-hwe-18.04-edge - Lowlatency Linux kernel image (dummy transitional package)
linux-image-oem - Depends on the generic kernel image (dummy transitional package)
linux-image-oem-osp1 - Depends on the generic kernel image (dummy transitional package)
linux-image-unsigned-5.4.0-26-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-26-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-virtual-hwe-18.04 - Virtual Linux kernel image (dummy transitional package)
linux-image-virtual-hwe-18.04-edge - Virtual Linux kernel image (dummy transitional package)
linux-modules-nvidia-390-5.4.0-1009-gcp - Linux kernel nvidia modules for version 5.4.0-1009
linux-modules-nvidia-390-5.4.0-1009-oracle - Linux kernel nvidia modules for version 5.4.0-1009
linux-modules-nvidia-390-5.4.0-26-generic - Linux kernel nvidia modules for version 5.4.0-26
linux-modules-nvidia-390-5.4.0-26-lowlatency - Linux kernel nvidia modules for version 5.4.0-26
linux-modules-nvidia-440-5.4.0-1009-gcp - Linux kernel nvidia modules for version 5.4.0-1009
linux-modules-nvidia-440-5.4.0-1009-oracle - Linux kernel nvidia modules for version 5.4.0-1009
linux-modules-nvidia-440-5.4.0-26-generic - Linux kernel nvidia modules for version 5.4.0-26
linux-modules-nvidia-440-5.4.0-26-lowlatency - Linux kernel nvidia modules for version 5.4.0-26
linux-modules-nvidia-440-5.6.0-1007-oem - Linux kernel nvidia modules for version 5.6.0-1007
linux-image-5.4.0-1011-aws - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1011-gcp - Signed kernel image GCP
linux-image-5.4.0-1011-kvm - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1011-oracle - Signed kernel image oracle
linux-image-5.4.0-1012-azure - Signed kernel image azure
linux-image-5.4.0-1015-aws - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1015-gcp - Signed kernel image GCP
linux-image-5.4.0-1015-kvm - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1015-oracle - Signed kernel image oracle
linux-image-5.4.0-1016-azure - Signed kernel image azure
linux-image-5.4.0-1017-aws - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1018-aws - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1018-gcp - Signed kernel image GCP
linux-image-5.4.0-1018-kvm - Signed kernel image kvm
linux-image-5.4.0-1018-oracle - Signed kernel image oracle
linux-image-5.4.0-1019-azure - Signed kernel image azure
linux-image-5.4.0-1019-gcp - Signed kernel image GCP
linux-image-5.4.0-1019-oracle - Signed kernel image oracle
linux-image-5.4.0-1020-aws - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1020-azure - Signed kernel image azure
linux-image-5.4.0-1020-kvm - Signed kernel image kvm
linux-image-5.4.0-1021-aws - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-5.4.0-1021-gcp - Signed kernel image GCP
linux-image-5.4.0-1021-oracle - Signed kernel image oracle
linux-image-5.4.0-1022-azure - Signed kernel image azure
linux-image-5.4.0-28-generic - Signed kernel image generic
linux-image-5.4.0-28-lowlatency - Signed kernel image lowlatency
linux-image-5.4.0-29-generic - Signed kernel image generic
linux-image-5.4.0-29-lowlatency - Signed kernel image lowlatency
linux-image-5.4.0-31-generic - Signed kernel image generic
linux-image-5.4.0-31-lowlatency - Signed kernel image lowlatency
linux-image-5.4.0-33-generic - Signed kernel image generic
linux-image-5.4.0-33-lowlatency - Signed kernel image lowlatency
linux-image-5.4.0-37-generic - Signed kernel image generic
linux-image-5.4.0-37-lowlatency - Signed kernel image lowlatency
linux-image-5.4.0-39-generic - Signed kernel image generic
linux-image-5.4.0-39-lowlatency - Signed kernel image lowlatency
linux-image-5.4.0-40-generic - Signed kernel image generic
linux-image-5.4.0-40-lowlatency - Signed kernel image lowlatency
linux-image-5.4.0-42-generic - Signed kernel image generic
linux-image-5.4.0-42-lowlatency - Signed kernel image lowlatency
linux-image-5.6.0-1008-oem - Signed kernel image oem
linux-image-5.6.0-1010-oem - Signed kernel image oem
linux-image-5.6.0-1011-oem - Signed kernel image oem
linux-image-5.6.0-1013-oem - Signed kernel image oem
linux-image-5.6.0-1017-oem - Signed kernel image oem
linux-image-5.6.0-1018-oem - Signed kernel image oem
linux-image-5.6.0-1020-oem - Signed kernel image oem
linux-image-unsigned-5.4.0-1011-gcp - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1011-oracle - Oracle Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1012-azure - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1015-gcp - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1015-oracle - Oracle Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1016-azure - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1018-gcp - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1018-kvm - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1018-oracle - Oracle Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1019-azure - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1019-gcp - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1019-oracle - Oracle Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1020-azure - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1020-kvm - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1021-gcp - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1021-oracle - Oracle Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-1022-azure - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-28-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-28-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-29-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-29-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-31-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-31-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-33-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-33-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-37-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-37-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-39-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-39-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-40-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-40-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-42-generic - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.4.0-42-lowlatency - Linux kernel image for version 5.4.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1008-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1010-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1011-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1013-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1017-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1018-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-image-unsigned-5.6.0-1020-oem - Linux kernel image for version 5.6.0 on 64 bit x86 SMP
linux-modules-nvidia-390-5.4.0-28-generic - Linux kernel nvidia modules for version 5.4.0-28
linux-modules-nvidia-390-5.4.0-28-lowlatency - Linux kernel nvidia modules for version 5.4.0-28
linux-modules-nvidia-440-5.4.0-28-generic - Linux kernel nvidia modules for version 5.4.0-28
linux-modules-nvidia-440-5.4.0-28-lowlatency - Linux kernel nvidia modules for version 5.4.0-28
linux-modules-nvidia-440-5.6.0-1008-oem - Linux kernel nvidia modules for version 5.6.0-1008
linux-modules-nvidia-440-5.6.0-1010-oem - Linux kernel nvidia modules for version 5.6.0-1010
linux-modules-nvidia-440-5.6.0-1011-oem - Linux kernel nvidia modules for version 5.6.0-1011
linux-modules-nvidia-440-5.6.0-1013-oem - Linux kernel nvidia modules for version 5.6.0-1013
linux-modules-nvidia-440-5.6.0-1017-oem - Linux kernel nvidia modules for version 5.6.0-1017
linux-modules-nvidia-440-5.6.0-1018-oem - Linux kernel nvidia modules for version 5.6.0-1018
linux-modules-nvidia-440-5.6.0-1020-oem - Linux kernel nvidia modules for version 5.6.0-1020
studio@studio-desktop:~/Escritorio$ 

Según veo hay una cantidad eorme.

 

La única actualización upgrade que hice fue pasar del Ubuntu 19.0 a Ubuntu 20.0.4 siguiendo las instrucciones recomendadas para realizarlo.

 

Los programas y el resto funciona bien. Aunque luego de actualizar el grub siempre da mensaje de error.

 

Voy a intentar recuperar su funcionamiento, dado que tal como está me parece muy bien, excepto por este error.

Link to post
Share on other sites
  • 0

Bueno pues avanzamos un poquito.

E efecto el comando te retorna la existencia de los kernels que apuntabas y eso significa que estan activos en repos y que los puedes instalar.

 

El problema entonces es el grub el cual esta dando error de configuracion y no esta escribiendo alteraciones por intrucion de entrada del paquete kernel.

 

Y aqui viene lo gordo - tendras que purgar y reinstalar el grub porque si no lo haces lo que te va a pasar es que te va mantener simpre en ese Kernel que usas, mucha suerte tuviste que no se corrompiera el inicio de entradas de los kernels al haber upgradeado la distro, el problema parece que pudiera ser alguna alteracion en la escritura de grub y sus archivos en sistema que varian de la distro que tenias a la que upgradeaste, podria ser eso teniendo en cuenta que Ubuntu tiene mucho de esto.

 

Lo mejor seria hacer uso de lo mismo -

un comando apt-cache search apuntando a tag grub:

 

$ apt-cache search grub 

 

Tirar de ver que hay, abrir synaptic y hacer busqueda por la misma tag y ver que esta instalado.

O bien con comandos 

$ dpkg -l | grep grub

$ apt list --installed | grep grub

 

Hecho eso tirar de reinstalar grub, pero purgandolo antes sino se puden quedar configuraciones y resultar en el mismo error.

Creo entonces que los paquetes que tendrias que reinstalar serian grub-common y grub2-common.

 

Intenta antes mirar donde estan:

$locate grub-common 

 

Tirar de ver descripcion de paquete y entradas además mira bien las dependencias:
$ apt-cache show grub

 

Tirar de mirar en que lugares se escriben las entradas de programa 
$ dpkg -s grub-common
 

Hecho eso yo mismo mire esos comandos en terminal en mi 14.04. Lo que tendrias que hacer seria purgar el grub-common, instalar de nuevo de seguida.

No se si sera mejor hacerlo en synaptic o en terminal, seria más comodo en synpatic.

 

La cosa seria usar algo que en comando quedaria asi →

 

$ sudo apt-get --purge remove grub-common && apt-get install grub-common 

 

Hecho eso verifica si los paquetes se instalaron con los comandos que te puse arriba mira bien si el grub2-common se instalo tambien si no lo hace lo puedes buscar y instalar ya que va por encima del grub como si fuera un upgrade.

 

Tambien puedes directamente purgar y reinstalar grub2 en vez de grub pero por si hubiera "cosas de Ubuntu" el comando te lo pongo direto a grub.

 

En todo el proceso intenta hacerlo de una vez ya que si hay una quiebra de sistema o te paras en un paso te podrias quedar sin aceso a sistema ya que el grub es el que entra  con la entrada de kernel y si hubiera problemas en otro paquete llamado init que el grub contacta el sistema no iniciaria bien.

 

Te recomiendo no hacer upgrades de distro solo de software sistema y en Ubuntu estas cosas suelen dar problema si o si porque ponen paqueteria con poca revision.

 

Un saludo.

Edited by portaro
Link to post
Share on other sites
  • 0

Solucionado! Revisé los anteriores kernels instalados y aunque traté de borrarlos siempre daba error, así que los volví a reinstalar, una vez con ellos procedí a modificar los valores por defecto a los sugeridos en esta página Configuración Grub2 y ejecutar de nuevo update-grub y reiniciar. Me aparecen muchos kernels para iniciar y toma algunos por defecto. En grub-customizer seleccioné el kernels con el que desea iniciar (la última versión) y voilá se ejecutó normalmente. Ya tengo mi dual-boot funcionando de nuevo y sin errores.

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...